package com.jiayue.ssi.controller;

import com.jiayue.ssi.annotation.InterfaceLimit;
import com.jiayue.ssi.entity.Server;
import com.jiayue.ssi.util.ResponseVO;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 服务器监控
 *
 * @author ruoyi
 */
@RestController
@RequestMapping("/monitor/server")
public class ServerController {
    @PreAuthorize("@ss.hasPermi('monitor:server:list')")
    @GetMapping()
    public ResponseVO getInfo() throws Exception {
        Server server = new Server();
        server.copyTo();
        return ResponseVO.success(server);
    }
}
