package com.jiayue.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
* ip黑名单
*
* @author xsl
* @since 2023/04/07
*/
@Data
public class SysBlacklist {
    /** 主键ID */
    @TableId(type = IdType.AUTO)
    private Long id;
    /** IP地址 */
    private String ip;
    /** ip锁定时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ipTime;
}
