import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import settings from './modules/settings'
import user from './modules/user'
import tagsView from './modules/tagsView'
import permission from './modules/permission'
// import createPersistedState from 'vuex-persistedstate'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    settings,
    user,
    tagsView,
    permission
  },
  getters
  // plugins:[
  //   createPersistedState({
  //     storage:window.sessionStorage,
  //     // 给状态管理器赋值，需要解开下方注释
  //     // paths:["user","permission"]
  //
  //   })
  // ]
})

export default store
