package com.jiayue.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ssi.entity.SysLogininfor;


/**
 * 系统访问日志服务类
 * @author xsl
 * @date 2023/2/16
 */
public interface SysLogininforService extends IService<SysLogininfor> {
    /**
     * 新增系统登录日志
     *
     * @param logininfor 访问日志对象
     */
    void insertLogininfor(SysLogininfor logininfor);
    /**
     * 删除登录日志
     * @param infoId
     * @return
     */
    boolean removeLoginInfoById(Long infoId);
    /**
     * 清空系统登录日志
     */
    boolean cleanLogininfor();
}
